# Katabatic - Routing Toolbox

List of all members | Public Member Functions
AutoSegments_OnContact Class Reference

All AutoSegment anchored on a Contact. More...

Inheritance diagram for AutoSegments_OnContact:
[legend]

## Public Member Functions
| AutoSegments_OnContact (AutoSegment *master, Contact *contact)
| AutoSegments_OnContact (const AutoSegments_OnContact &)
virtual AutoSegmentHC * | getClone () const
virtual AutoSegmentHL * | getLocator () const

## Detailed Description

All AutoSegment anchored on a Contact.

All AutoSegment Beginning from an AutoContact.

A Collection to iterate over all the AutoSegment anchored on `contact`. If supplied, the AutoSegment `master` will be excluded from the list.

Remark: If a Hurricane::Segment is anchored on the `contact`, but is not
  associated to an AutoSegment, it will be silently skipped.

A Collection to iterate over all the AutoSegment that begin from AutoContact. As AutoSegments are kept orienteds (source anchor must be lower than target), selecting source anchored AutoSegments implies that they are starting from this AutoContact.

## Constructor & Destructor Documentation

## ◆ AutoSegments_OnContact() [1/2]

AutoSegments_OnContact | ( | AutoSegment * | master,
|  | Contact * | contact
| ) |  |
| inline

Parameters

  master | Exclude this AutoSegment from the Collection.
  contact | The Hurricane Contact over which to iterate.

Construct a Collection of all the AutoSegment anchored on `contact`.

Create the collection of all AutoSegments direcly anchored on `contact`, with exclusion of `master`.

## ◆ AutoSegments_OnContact() [2/2]

AutoSegments_OnContact | ( | const AutoSegments_OnContact & | segments | ) |
| inline

Copy constructor.

## Member Function Documentation

## ◆ getClone()

AutoSegmentHC * getClone | ( |  | ) | const
| virtual

Returns: A deep copy of the Collection.

Implements Collection< Type >.

## ◆ getLocator()

AutoSegmentHC * getLocator | ( |  | ) | const
| virtual

Returns: A deep copy of the Collection Locator.

Implements Collection< Type >.

The documentation for this class was generated from the following files:

- AutoSegments.h
- AutoSegments.dox

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

Katabatic - Routing Toolbox | Copyright © 2008-2016 UPMC. All rights reserved